// fragment shader for gauss blurring on X axis

#version 430


uniform sampler2D image; 

layout (location = 0) out vec4 color;

uniform float offset[3] = float[]( 0.0, 1.3846153846, 3.2307692308 );
uniform float weight[3] = float[]( 0.2270270270, 0.3162162162, 0.0702702703 );
uniform int width;
uniform int height;
uniform bool gaussX; // true: gauss in X direction, false: gauss in Y direction

void main(void) {

    //color = texture2D( image, vec2(gl_FragCoord)/1024.0 ) * weight[0];
	//color = texture(image, texCoord) * weight[0];
	//color = texture(image, vec2(gl_FragCoord) / width) * weight[0];
	
	vec2 size = vec2(width, height);
	
	//color = texture(image, vec2(gl_FragCoord.x / width, gl_FragCoord.y/height)) * weight[0];
	color = texture(image, vec2(gl_FragCoord) / size ) * weight[0];

	//color = vec4(1, 0, 0, 1);
	//return;
//	color = texelFetch(colTex, ivec2(gl_FragCoord.xy), 0).rgba;
	if(gaussX){
		for (int i=1; i<3; i++) {
			//color += texture2D( image, ( vec2(gl_FragCoord)+vec2(0.0, offset[i]) )/1024.0 ) * weight[i];
			//color += texture2D( image, ( vec2(gl_FragCoord)-vec2(0.0, offset[i]) )/1024.0 ) * weight[i];

			color += texture(image, (vec2(gl_FragCoord) + vec2(0.0, offset[i]) ) / size) * weight[i];
			color += texture(image, (vec2(gl_FragCoord) - vec2(0.0, offset[i]) ) / size) * weight[i];

		}
	} else {
		for (int i=1; i<3; i++) {
			//color += texture2D( image, ( vec2(gl_FragCoord)+vec2(0.0, offset[i]) )/1024.0 ) * weight[i];
			//color += texture2D( image, ( vec2(gl_FragCoord)-vec2(0.0, offset[i]) )/1024.0 ) * weight[i];

			color += texture(image, (vec2(gl_FragCoord) + vec2(offset[i], 0.0) ) / size) * weight[i];
			color += texture(image, (vec2(gl_FragCoord) - vec2(offset[i], 0.0) ) / size) * weight[i];

		}
		//color = vec4(1, 0, 0, 1);
	}	

	color = vec4(color.xyz, 1);

}