// vertex Shader for the normal visualization
#version 430 core

layout(location = 0) in vec3 pos;
layout(location = 1) in vec3 normal;
layout(location = 2) in vec2 texCoords;

//uniform mat4 m, v, p; // model view and projection matrix
//uniform mat3 normalMatrix; // for world space

// matrices
uniform mat4 m_pvm;
uniform mat4 m_p;
uniform mat3 m_normal; // view space

out data {
    vec3 normal;
} dataOut;



void main()
{
	gl_Position = m_pvm * vec4(pos, 1);
    dataOut.normal = normalize(vec3(m_p * vec4(m_normal * normal, 1.0)));	
}